# Class DefaultTableExtensionFactory

Default implementation of data/support/TableExtensionFactory!TableExtensionFactory that creates built-in API table extension types.

#### Implements

- TableExtensionFactory

#####
Index

### Constructors

constructor

### Properties

instance

### Methods

create

##
Constructors

### constructor

- new DefaultTableExtensionFactory(): DefaultTableExtensionFactory

- #### Returns DefaultTableExtensionFactory

##
Properties

### `Static` instance

instance: DefaultTableExtensionFactory = ...

Singleton instance of this type.

##
Methods

### create

- create(properties): TableExtension<TableExtensionProperties>

- Creates a data/_TableExtension!TableExtension from the given properties.

  #### Parameters

  - properties: TableExtensionProperties

    The table extension properties.

  #### Returns TableExtension<TableExtensionProperties>

  Implementation of TableExtensionFactory.create